ServerEvents.recipes(event => {
	event.remove({output: 'mekanism:energized_smelter'})
	event.remove({output: 'mekanism:scuba_mask'})
	event.remove({output: 'mekanism:scuba_tank'})
	event.remove({output: 'mekanism:fuelwood_heater'})
	event.remove({output: 'mekanism:steel_casing'})
	event.remove({output: 'mekanism:ingot_bronze'})
	event.remove({input: 'mekanism:dust_bronze'})
	event.remove({output: 'mekanism:dust_bronze'})
	event.remove({input: 'minecraft:granite', output: 'minecraft:red_sand'})
	event.remove({output: 'mekanism:mekasuit_helmet'})
	event.remove({output: 'mekanism:supercharged_coil'})
	event.remove({output: 'mekanism:rotary_condensentrator'})
	event.remove({output: 'mekanism:basic_energy_cube'})
	event.remove({output: 'mekanismgenerators:electromagnetic_coil'})
	event.remove({output: 'mekanism:metallurgic_infuser'})
	event.remove({output: 'mekanism:mekasuit_bodyarmor'})
	event.remove({output: 'mekanism:mekasuit_pants'})
	event.remove({output: 'mekanism:mekasuit_boots'})
	event.remove({output: 'mekanism:atomic_disassembler'})
	event.remove({output: 'mekanism:teleporter'})
	event.remove({output: 'mekanism:crusher'})
	event.remove({output: 'mekanism:basic_logistical_transporter'})
	event.remove({output: 'mekanism:basic_thermodynamic_conductor'})
	event.remove({output: 'mekanism:basic_universal_cable'})
	event.remove({output: 'mekanism:basic_mechanical_pipe'})
	event.remove({output: 'mekanism:basic_pressurized_tube'})
	event.remove({output: 'mekanism:meka_tool'})
	event.remove({output: 'mekanism:isotopic_centrifuge'})
	event.remove({output: 'mekanism:modification_station'})
	event.remove({output: 'mekaweapons:mekatana'})
	event.remove({output: 'mekanism:qio_drive_array'})
	event.remove({output: 'mekanism:pressurized_reaction_chamber'})
	event.remove({output: 'mekanism:enrichment_chamber'})
	event.remove({output: 'mekanism:digital_miner'})
	event.remove({output: 'mekanism:chemical_dissolution_chamber'})
	event.remove({output: 'mekanism:chemical_crystallizer'})
	event.remove({output: 'mekanism:chemical_washer'})
	event.remove({output: 'bfr:fusion_reactor_controller'})
	event.remove({output: 'bfr:fusion_reactor_frame'})
	event.remove({output: 'mekanism:ingot_steel'})
	event.remove({output: 'mekanism:alloy_atomic'})
	event.remove({output: 'mekanism:sps_casing'})
	event.remove({output: 'mekanismgenerators:heat_generator'})
	event.remove({output: 'bfr:irradiator'})
	event.remove({output: 'mekanism:basic_control_circuit'})
	event.remove({output: 'mekanism:advanced_control_circuit'})
	event.remove({output: 'mekanism:elite_control_circuit'})
	event.remove({output: 'mekanism:ultimate_control_circuit'})
	event.remove({output: 'mekanismgenerators:reactor_glass'})
	event.remove({output: 'mekanismgenerators:laser_focus_matrix'})
	event.remove({output: 'mekanism:thermal_evaporation_block'})
	event.remove({output: 'mekanismgenerators:fission_reactor_casing'})
	event.remove({output: 'mekanismgenerators:fusion_reactor_controller'})
	event.remove({output: 'mekanismgenerators:fusion_reactor_frame'})
	event.remove({output: 'mekanismgenerators:fusion_reactor_port'})
	event.remove({output: 'mekanismgenerators:fusion_reactor_logic_adapter'})
	event.remove({output: 'mekanismgenerators:module_geothermal_generator_unit'})
	event.remove({output: 'mekanism:teleportation_core'})
	event.remove({output: 'mekanism:quantum_entangloporter'})
	event.remove({output: 'megacells:radioactive_chemical_cell'})
	let inter = "v_borne:incomplete_steel_foundation"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:steel_casing").withChance(92.0),
				Item.of("4x tfmg:steel_ingot").withChance(8.0),	// this is the item that will appear in JEI as the result
            ],
            "create:brass_ingot",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter, [inter, 'create:framed_glass']),
				event.recipes.createDeploying(inter, [inter, '#forge:ingots/steel']),
				event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.mixing(
	'mekanism:alloy_atomic',
	['mekanism:alloy_reinforced', 'mekanism:enriched_refined_obsidian']).superheated()
	event.recipes.create.mixing(
	'mekanism:teleportation_core',
	['2x mekanism:alloy_atomic', 'minecraft:diamond', '2x create:brass_ingot', '4x minecraft:lapis_lazuli']).superheated()
	event.recipes.create.crushing(
	['minecraft:red_sand', Item.of("v_borne:uraninite").withChance(0.35)],
	'minecraft:granite')
	event.recipes.create.milling(
	'minecraft:red_sand',
	'minecraft:granite')
	event.recipes.create.filling(
	'mekanism:raw_uranium',
	['v_borne:uraninite', Fluid.of('mekanism:sulfuric_acid', 500)])
	event.recipes.create.mixing(
	'4x mekanism:dust_bronze',
	['3x mekanism:dust_copper', 'mekanism:dust_tin', 'create:cinder_flour'])
	event.recipes.create.mixing(
	'32x mekanism:dust_bronze',
	['24x mekanism:dust_copper', 'mekanism:enriched_tin', '4x create:cinder_flour'])
	event.shaped(
  Item.of('megacells:radioactive_chemical_cell', 1), // arg 1: output
  [
    'ABA',
    'BCB', // arg 2: the shape (array of strings)
    'DED'
  ],
  {
	A: 'bfr:reactor_glass',
    B: 'ae2:sky_dust',
	C: 'megacells:radioactive_cell_component',
	D: 'mekanism:hdpe_sheet',
	E: 'mekanism:pellet_polonium'
  })
	event.shaped(
  Item.of('mekanism:thermal_evaporation_block', 4), // arg 1: output
  [
    ' A ',
    'ABA', // arg 2: the shape (array of strings)
    ' A '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'minecraft:copper_ingot'
  })
	let inter2 = "v_borne:incomplete_basic_control_circuit"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:basic_control_circuit").withChance(90.0),
				Item.of("mekanism:alloy_infused").withChance(6.0),
				Item.of("mekanism:hdpe_sheet").withChance(4.0),				// this is the item that will appear in JEI as the result
            ],
            "mekanism:hdpe_sheet",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter2, [inter2, 'minecraft:gold_nugget']),
				event.recipes.createDeploying(inter2, [inter2, 'minecraft:gold_nugget']),
				event.recipes.createFilling(inter2, [inter2, Fluid.of('v_borne:resin', 100)]),
				event.recipes.createDeploying(inter2, [inter2, '#forge:glass']),
				event.recipes.createPressing(inter2, inter2),
            ]
        )
        .transitionalItem(inter2)
        .loops(1); // set the transitional item and the number of loops
	let inter3 = "v_borne:incomplete_fission_reactor_casing"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("4x mekanismgenerators:fission_reactor_casing").withChance(92.0),
				Item.of("mekanism:steel_casing").withChance(8.0),	// this is the item that will appear in JEI as the result
            ],
            "mekanism:steel_casing",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter3, [inter3, '#forge:ingots/lead']),
				event.recipes.createDeploying(inter, [inter, 'northstar:polished_lunar_sapphire']),
				event.recipes.createPressing(inter3, inter3),
            ]
        )
        .transitionalItem(inter3)
        .loops(4); // set the transitional item and the number of loops
	let inter4 = "v_borne:incomplete_sps_casing"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:sps_casing").withChance(90.0),
				Item.of("4x mekanism:pellet_polonium").withChance(10.0),	// this is the item that will appear in JEI as the result
            ],
            "mekanism:pellet_plutonium",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter4, [inter4, 'mekanism:pellet_polonium']),
				event.recipes.createDeploying(inter4, [inter4, 'mekanism:hdpe_sheet']),
				event.recipes.createDeploying(inter, [inter, 'northstar:tungsten_sheet']),
				event.recipes.createPressing(inter4, inter4),
            ]
        )
        .transitionalItem(inter4)
        .loops(4); // set the transitional item and the number of loops
	let inter5 = "v_borne:incomplete_fusion_reactor_frame"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("bfr:fusion_reactor_frame").withChance(90.0),
				Item.of("4x mekanism:pellet_polonium").withChance(10.0),	// this is the item that will appear in JEI as the result
            ],
            "mekanism:steel_casing",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter5, [inter5, 'mekanism:alloy_atomic']),
				event.recipes.createDeploying(inter5, [inter5, 'mekanism:pellet_polonium']),
				event.recipes.createDeploying(inter, [inter, 'v_borne:integrated_circuit']),
				event.recipes.createPressing(inter5, inter5),
            ]
        )
        .transitionalItem(inter5)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.mechanical_crafting('bfr:irradiator', [
    'ABA',
	'BCB',
    'DED'
  ], {
	A: 'mekanism:ultimate_control_circuit',
	B: 'bfr:reactor_glass',
	C: 'mekanism:basic_chemical_tank',
    D: 'mekanism:laser_tractor_beam',
	E: 'mekanism:sps_casing',
  })
	event.recipes.create.mechanical_crafting('mekanism:atomic_disassembler', [
    'FD ',
	'ECG',
	' B ',
    ' A '
  ], {
	A: 'mekanism:ingot_refined_obsidian',
	B: 'tfmg:rebar',
	C: 'mekanism:alloy_atomic',
	D: 'v_borne:integrated_circuit',
	E: 'mekanism:alloy_reinforced',
	F: 'mekanism:energy_tablet',
	G: 'mekanism:alloy_infused'
  })
	event.recipes.create.mechanical_crafting('mekanism:teleporter', [
    'ABA',
	'CDC',
	'ABA'
  ], {
	A: 'mekanism:basic_control_circuit',
	B: 'mekanism:steel_casing',
	C: 'mekanism:teleporter_frame',
	D: 'mekanism:teleportation_core'
  })
	event.recipes.create.mechanical_crafting('mekanism:meka_tool', [
    'ACCG',
	'BDEF',
	'ACCG'
  ], {
	A: 'mekanism:pellet_polonium',
	B: 'mekanism:basic_induction_cell',
	C: 'mekanism:hdpe_sheet',
	D: 'v_borne:integrated_circuit',
	E: 'mekanism:atomic_disassembler',
	F: 'mekanism:configurator',
	G: 'mekanism:ultimate_control_circuit'
  })
	event.recipes.create.mechanical_crafting('mekanism:isotopic_centrifuge', [
    'ABA',
	'DED',
	'ACA',
	'ABA'
  ], {
	A: '#forge:ingots/lead',
	B: 'mekanism:ultimate_control_circuit',
	C: 'mekanismgenerators:rotational_complex',
	D: 'bfr:reactor_glass',
	E: 'mekanism:basic_chemical_tank'
  })
	event.recipes.create.mechanical_crafting('mekaweapons:mekatana', [
    ' F ',
	' E ',
	' B ',
	'DCD',
	'ABA',
	' G '
  ], {
	A: 'mekanism:ultimate_control_circuit',
	B: 'mekanism:pellet_polonium',
	C: 'mekanism:basic_induction_cell',
	D: 'mekanism:hdpe_sheet',
	E: '#forge:ingots/steel',
	F: 'mekaweapons:katana_blade',
	G: 'v_borne:martian_rebar'
  })
	event.recipes.create.mechanical_crafting('mekanism:modification_station', [
	'DDEF',
	'CCAA',
	'AABB'
  ], {
	A: 'mekanism:hdpe_sheet',
	B: 'mekanism:steel_casing',
	C: 'mekanism:ultimate_control_circuit',
	D: '#forge:plates/steel',
	E: '#forge:chests/wooden',
	F: 'mekanism:pellet_polonium'
  })
	event.recipes.create.mechanical_crafting('mekanism:qio_drive_array', [
	'AEA',
	'BDB',
	'ACA'
  ], {
	A: 'mekanism:pellet_polonium',
	B: 'mekanism:ultimate_control_circuit',
	C: 'mekanism:teleportation_core',
	D: '#mekanism:personal_storage',
	E: '#forge:glass_panes'
  })
	event.recipes.create.mechanical_crafting('mekanism:digital_miner', [
	'ABA',
	'CDC',
	'EFE'
  ], {
	A: 'mekanism:alloy_atomic',
	B: 'mekanism:advanced_control_circuit',
	C: 'mekanism:logistical_sorter',
	D: 'mekanism:robit',
	E: 'mekanism:teleportation_core',
	F: 'mekanism:steel_casing'
  })
	event.recipes.create.mechanical_crafting('mekanism:chemical_dissolution_chamber', [
	'ACA',
	'BDB',
	'ACA'
  ], {
	A: 'mekanism:alloy_atomic',
	B: 'mekanism:ultimate_control_circuit',
	C: 'mekanism:basic_chemical_tank',
	D: 'mekanism:steel_casing'
  })
	event.recipes.create.mechanical_crafting('mekanism:chemical_washer', [
	'AEA',
	'BDB',
	'ACA'
  ], {
	A: 'mekanism:alloy_atomic',
	B: 'mekanism:ultimate_control_circuit',
	C: 'mekanism:basic_chemical_tank',
	D: 'mekanism:steel_casing',
	E: 'mekanism:basic_fluid_tank'
  })
	event.recipes.create.mechanical_crafting('mekanism:chemical_crystallizer', [
	'ACA',
	'BDB',
	'ACA'
  ], {
	A: 'mekanism:alloy_atomic',
	B: 'mekanism:ultimate_control_circuit',
	C: 'mekanism:fluorite_gem',
	D: 'mekanism:steel_casing'
  })
	event.recipes.create.mechanical_crafting('mekanism:mekasuit_helmet', [
	'ABA',
	'ACA',
	'DED',
	'FGF'
  ], {
	A: 'mekanism:hdpe_sheet',
	B: 'mekanism:ultimate_control_circuit',
	C: 'minecraft:tinted_glass',
	D: 'v_borne:martian_rebar',
	E: 'minecraft:netherite_helmet',
	F: 'mekanism:pellet_polonium',
	G: 'mekanism:basic_induction_cell'
  })
	event.recipes.create.mechanical_crafting('mekanism:mekasuit_bodyarmor', [
	'D D',
	'ABA',
	'ACA',
	'EFE'
  ], {
	A: 'mekanism:hdpe_sheet',
	B: 'mekanism:ultimate_control_circuit',
	C: 'minecraft:netherite_chestplate',
	D: 'v_borne:martian_rebar',
	E: 'mekanism:pellet_polonium',
	F: 'mekanism:basic_induction_cell'
  })
	event.recipes.create.mechanical_crafting('mekanism:mekasuit_pants', [
	'ABA',
	'ACA',
	'DFD',
	'E E'
  ], {
	A: 'mekanism:hdpe_sheet',
	B: 'mekanism:ultimate_control_circuit',
	C: 'minecraft:netherite_leggings',
	D: 'v_borne:martian_rebar',
	E: 'mekanism:pellet_polonium',
	F: 'mekanism:basic_induction_cell'
  })
	event.recipes.create.mechanical_crafting('mekanism:mekasuit_boots', [
	'F F',
	'ABA',
	'ACA',
	'DED'
  ], {
	A: 'mekanism:hdpe_sheet',
	B: 'mekanism:ultimate_control_circuit',
	C: 'minecraft:netherite_boots',
	D: 'mekanism:pellet_polonium',
	E: 'mekanism:basic_induction_cell',
	F: 'v_borne:martian_rebar'
  })
	event.recipes.create.mechanical_crafting('bfr:fusion_reactor_controller', [
	'BCB',
	'ADA',
	'AAA'
  ], {
	A: 'bfr:fusion_reactor_frame',
	B: 'mekanism:ultimate_control_circuit',
	C: 'v_borne:integrated_circuit',
	D: 'mekanism:basic_chemical_tank'
  })
	event.recipes.create.mechanical_crafting('mekanismgenerators:module_geothermal_generator_unit', [
	'BAB',
	'BCB',
	'DDD'
  ], {
	A: 'mekanism:resistive_heater',
	B: 'mekanism:alloy_reinforced',
	C: 'mekanism:module_base',
	D: 'mekanism:pellet_polonium'
  })
	event.recipes.create.mechanical_crafting('mekanism:supercharged_coil', [
	'ABA',
	'CDC',
	'EEE'
  ], {
	A: 'minecraft:copper_ingot',
	B: 'tfmg:magnetic_ingot',
	C: 'mekanism:ultimate_control_circuit',
	D: 'mekanism:laser',
	E: 'mekanism:pellet_polonium'
  })
function injection(outputItem, outputItemAmount, inpItem, itemInputAmount, inputGas, inputGasAmount) {
    event.custom({
    type: "mekanism:injecting",
    chemicalInput: {
      amount: inputGasAmount,
      gas: inputGas
      },
      itemInput: {
		amount: itemInputAmount,
        ingredient: {
            item: inpItem
        }
      },
      output: {
        amount: outputItemAmount,
        item: outputItem
      }
  })
}


	injection('mekanism:reprocessed_fissile_fragment', 1, 'create_new_age:radioactive_thorium', 2, 'mekanism:hydrogen_chloride', 1)
	let inter6 = "v_borne:incomplete_advanced_control_circuit"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:advanced_control_circuit").withChance(88.0),
				Item.of("v_borne:integrated_circuit").withChance(8.0),
				Item.of("mekanism:alloy_infused").withChance(4.0),				// this is the item that will appear in JEI as the result
            ],
            "mekanism:basic_control_circuit",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter6, [inter6, 'mekanism:alloy_infused']),
				event.recipes.createDeploying(inter6, [inter6, 'v_borne:integrated_circuit']),
				event.recipes.createPressing(inter6, inter6),
            ]
        )
        .transitionalItem(inter6)
        .loops(1); // set the transitional item and the number of loops
	let inter7 = "v_borne:incomplete_elite_control_circuit"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:elite_control_circuit").withChance(88.0),
				Item.of("v_borne:integrated_circuit").withChance(8.0),
				Item.of("mekanism:alloy_reinforced").withChance(4.0),				// this is the item that will appear in JEI as the result
            ],
            "mekanism:advanced_control_circuit",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter7, [inter7, 'mekanism:alloy_reinforced']),
				event.recipes.createDeploying(inter7, [inter7, 'v_borne:integrated_circuit']),
				event.recipes.createPressing(inter7, inter7),
            ]
        )
        .transitionalItem(inter7)
        .loops(1); // set the transitional item and the number of loops
	let inter8 = "v_borne:incomplete_ultimate_control_circuit"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("mekanism:ultimate_control_circuit").withChance(88.0),
				Item.of("v_borne:integrated_circuit").withChance(8.0),
				Item.of("mekanism:alloy_atomic").withChance(4.0),				// this is the item that will appear in JEI as the result
            ],
            "mekanism:elite_control_circuit",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter8, [inter8, 'mekanism:alloy_atomic']),
				event.recipes.createDeploying(inter8, [inter8, 'v_borne:integrated_circuit']),
				event.recipes.createPressing(inter8, inter8),
            ]
        )
        .transitionalItem(inter8)
        .loops(1); // set the transitional item and the number of loops
	event.recipes.create.mechanical_crafting('mekanism:quantum_entangloporter',
		[ 
		  'ACA', 
		  'DBD',
		  'ACA'  
		],
		{
		A: 'northstar:venus_deep_stone',
		B: 'tesseract:tesseract',
		C: 'mekanism:ultimate_control_circuit',
		D: 'mekanism:alloy_atomic'
		}
	)
	event.shaped(
		Item.of('mekanism:pressurized_reaction_chamber'),
		[ 
		  'CDC', 
		  'CEC',
		  'ABA'  
		],
		{
		A: 'mekanism:basic_chemical_tank',
		B: 'tfmg:cast_iron_block',
		C: '#forge:ingots/cast_iron',
		D: 'create:precision_mechanism',
		E: 'mekanism:enrichment_chamber'
		}
	)
	event.shaped(
		Item.of('mekanism:enrichment_chamber'),
		[ 
		  'ADA', 
		  'CBC',
		  'ACA'  
		],
		{
		A: 'minecraft:redstone',
		B: 'create:brass_casing',
		C: 'minecraft:iron_ingot',
		D: 'create:precision_mechanism'
		}
	)
	event.shaped(
		Item.of('mekanism:crusher'),
		[ 
		  'ABA', 
		  'ECE',
		  'ADA'  
		],
		{
		  A: 'minecraft:redstone',
		  B: 'minecraft:piston',
		  C: 'create:brass_casing',
		  D: 'minecraft:iron_block',
		  E: 'minecraft:lava_bucket'
		}
	)
	event.shaped(
		Item.of('mekanism:metallurgic_infuser'),
		[ 
		  'BEB', 
		  'ADA',
		  'FCF'  
		],
		{
		A: 'minecraft:redstone',
		B: 'create:iron_sheet',
		C: 'minecraft:furnace',
		D: 'create:brass_casing',
		E: 'create_sa:heat_engine',
		F: 'createdeco:zinc_sheet'
		}
	)
	  event.shaped(
		Item.of('mekanism:energized_smelter'),
		[ 
		  'CEC', 
		  'ABA',
		  'CDC'  
		],
		{
		A: 'minecraft:furnace',
		B: 'create:brass_casing',
		C: 'minecraft:redstone',
		D: 'mekanism:basic_control_circuit',
		E: 'create_sa:heat_engine'
		}
	  )
	  event.shaped(
		Item.of('mekanism:basic_energy_cube'),
		[ 
		  'CDC', 
		  'ABA',
		  'CDC'  
		],
		{
		A: 'minecraft:iron_ingot',
		B: 'tfmg:cast_iron_block',
		C: 'minecraft:redstone',
		D: 'mekanism:energy_tablet'
		}
	  )
	  event.shaped(
		Item.of('mekanism:rotary_condensentrator'),
		[ 
		  'DED', 
		  'ABC',
		  'DED'  
		],
		{
		A: 'mekanism:basic_chemical_tank',
		B: 'mekanism:energy_tablet',
		C: 'mekanism:basic_fluid_tank',
		D: '#forge:glass',
		E: 'create:precision_mechanism'
		}
	  )
	event.shaped(
  Item.of('mekanismgenerators:electromagnetic_coil', 1), // arg 1: output
  [
    'ABA',
    'BCB', // arg 2: the shape (array of strings)
    'ABA'
  ],
  {
	A: '#forge:ingots/steel',
    B: 'createaddition:electrum_spool',
	C: 'mekanism:energy_tablet'
  })
	event.shaped(
  Item.of('mekanism:fuelwood_heater', 1), // arg 1: output
  [
    'ADA',
    'BCB', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'minecraft:furnace',
	C: 'mekanism:steel_casing',
	D: 'mekanism:basic_control_circuit'
  })
	event.shaped(
  Item.of('mekanism:basic_universal_cable', 8), // arg 1: output
  [
    '   ',
    'ABA', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'minecraft:redstone'
  })
	event.shaped(
  Item.of('mekanism:basic_mechanical_pipe', 8), // arg 1: output
  [
    '   ',
    'ABA', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'minecraft:bucket'
  })
	event.shaped(
  Item.of('mekanism:basic_pressurized_tube', 8), // arg 1: output
  [
    '   ',
    'ABA', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: '#forge:glass'
  })
	event.shaped(
  Item.of('mekanism:basic_logistical_transporter', 8), // arg 1: output
  [
    '   ',
    'ABA', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'mekanism:basic_control_circuit'
  })
	event.shaped(
  Item.of('mekanism:basic_thermodynamic_conductor', 8), // arg 1: output
  [
    '   ',
    'ABA', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: '#forge:ingots/cast_iron',
    B: 'minecraft:copper_ingot'
  })
})